Commission shower
curl --request PUT \
--url https://api.orbital-systems.com/client/showers/commission/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"is_private_shower": true,
"time_zone": "<string>",
"time_zone_name": "<string>"
}
'import requests
url = "https://api.orbital-systems.com/client/showers/commission/{id}"
payload = {
"name": "<string>",
"is_private_shower": True,
"time_zone": "<string>",
"time_zone_name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_private_shower: true,
time_zone: '<string>',
time_zone_name: '<string>'
})
};
fetch('https://api.orbital-systems.com/client/showers/commission/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"state": "<string>",
"saved_water": 123,
"saved_energy": 123,
"sessions": 123,
"latest_session": "<string>",
"avg_temperature": 123,
"avg_session_duration": 123,
"filter_status": 123,
"device_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_connected": "<string>",
"last_disconnected": "<string>",
"created_at": "<string>",
"build_id": "<string>",
"replace_uv": true,
"is_cleaning_program_required": true,
"clean_sensor_tank": true,
"no_recirculation": true,
"float_leak": true,
"operating": {
"cleaning_programs": 123,
"inner_heat_treatments": 123,
"outer_heat_treatments": 123,
"sessions": 123,
"sessions_since_cleaning_program": 123,
"sessions_since_inner_heat_treatment": 123,
"sessions_since_outer_heat_treatment": 123,
"liters_since_last_descaling": 123
},
"profile": "<string>",
"oas_revision": "<unknown>",
"serial_number": "<string>",
"wifi_ssid": "<string>",
"installation_info": {
"installation_name": "<string>",
"installation_date": "<string>"
},
"installation_test": {
"id": "<string>"
},
"type": "<string>",
"base": 123,
"control_dial_notifications": true,
"hibernating": true,
"updated_at": "<string>",
"avg_water_recirculation_rate": 123,
"descaling_status": 123,
"role": "<string>"
}{}{}{}Shower commissioning.
Commission shower
PUT
/
client
/
showers
/
commission
/
{id}
Commission shower
Authorizations
Path Parameters
The shower ID
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I